Bug 16563 - Translatability: Issues in opac-account.tt (sentence splitting)
Summary: Translatability: Issues in opac-account.tt (sentence splitting)
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: I18N/L10N (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Marc Véron
QA Contact: Testopia
URL:
Keywords:
Depends on: 11622
Blocks:
  Show dependency treegraph
 
Reported: 2016-05-22 06:45 UTC by Marc Véron
Modified: 2017-12-07 22:16 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 16563: Translatability: Issues in opac-account.tt (sentence splitting) (1.76 KB, patch)
2016-05-23 09:28 UTC, Marc Véron
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 16563: Translatability: Issues in opac-account.tt (sentence splitting) (1.84 KB, patch)
2016-05-26 19:51 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
Bug 16563: Translatability: Issues in opac-account.tt (sentence splitting) (1.90 KB, patch)
2016-06-10 13:50 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marc Véron 2016-05-22 06:45:10 UTC
Following sentences in opac-account.tt have a translatability problem (splitting by tags):

<p>A payment with the transaction id <i>[% message_value %]</i> has already been posted to an account.</p>

<p>The transaction id <i>[% message_value %]</i> for this payment is invalid.</p>
Comment 1 Marc Véron 2016-05-23 09:28:23 UTC Comment hidden (obsolete)
Comment 2 Bernardo Gonzalez Kriegel 2016-05-26 19:51:39 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2016-06-10 13:48:37 UTC
What about:
  The transaction (id [% id %]) for this payment is invalid.
?
Comment 4 Jonathan Druart 2016-06-10 13:49:10 UTC
(In reply to Jonathan Druart from comment #3)
> What about:
>   The transaction (id [% id %]) for this payment is invalid.
> ?

Hum, forget that, it's not an id.
Comment 5 Jonathan Druart 2016-06-10 13:50:20 UTC
Created attachment 52228 [details] [review]
Bug 16563: Translatability: Issues in opac-account.tt (sentence splitting)

This patch removes splitting by <i>-tags from 2 sentences.

Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>
No errors

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 6 Kyle M Hall 2016-06-10 17:47:08 UTC
Pushed to master for 16.11, thanks Marc!
Comment 7 Frédéric Demians 2016-06-15 07:48:46 UTC
Pushed in 16.05. Will be in 16.05.01.
Comment 8 Julian Maurice 2016-06-16 09:58:39 UTC
Not needed in 3.22.x